Bug 45045 - [RESTful Import API] support authentication through SAML
[RESTful Import API] support authentication through SAML
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: HTTP-API
UCS@school 4.2
Other Linux
: P5 normal (vote)
: UCS@school 4.2 (HTTP-API-MVP)
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks: 45023 45024
  Show dependency treegraph
 
Reported: 2017-07-19 14:17 CEST by Daniel Tröder
Modified: 2017-10-16 21:34 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2017-07-19 14:17:42 CEST
A user that has logged in via SAML should be able to start an import job in the new UMC module.
Comment 1 Daniel Tröder univentionstaff 2017-08-08 12:53:32 CEST
For now using a UMC helper that asks for credentials.
Comment 2 Florian Best univentionstaff 2017-10-11 13:57:40 CEST
Well, even this is not so easy!
I had to do some more adjustments.

ucs-school-umc-import (0.0.0-9):
7bbe2325615c | Bug #45045: make a ping request before loading the module to make sure the SAML require-password mechanism works
233bc102e52e | Bug #45045: require the session to be non-SAML authenticated
98b2a490556a | Bug #45045: require the session to be non-SAML authenticated
Comment 3 Daniel Tröder univentionstaff 2017-10-13 13:52:38 CEST
OK: manual test (password entry 2x required, but works)
OK advisory (c4c59d60)
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2017-10-16 21:32:08 CEST
UCS@school 4.2 v4 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.2v4-de.html

If this error occurs again, please clone this bug.